#include <iostream>
#include <vector>
#include <string>
#include <hist_proc.h>
#include "histogram.h"
#include <text.h>
#include <svg.h>



using namespace std;


struct Input {
    vector<double> numbers;
    size_t bin_count{};
    size_t number_count{};
};



Input
input_data(istream& in) {
    size_t number_count;
    in >> number_count;
    Input inn;
    inn.numbers.resize(number_count);
    vector<double> numbers(number_count);
    for (size_t i = 0; i < number_count; i++) {
        in >> inn.numbers[i];
    }

size_t bin_count;
in >> inn.bin_count;
return inn;
}




int main()
{
    bool flag;
    auto inn = input_data(cin);
    auto bins = make_histogram(inn.numbers, inn.bin_count, flag);
    auto procent = make_histogram_proc(inn.numbers, inn.bin_count, bins);
    show_histogram_svg(bins, procent);

    return 0;
}
